# Reproducibility
* ensures credibility
* key requirement for follow-up and collaborative studies

<div style="position:absolute">
<img src="slides/img/reproducibility_nature.png" height="650px">
</div>

<div class="fragment" style="position:relative;left:50%">

## Why is our workflow not reproducible?

 Lack of provenance:
  * Input data downloaded from “some website”
  * Copy & paste operations
  * Manual text entry
  * Analysis not coded
  * Intermediate and final data not generated by deterministic processes
</div>



# Reproducibility
## Learning to code workflows and analyses
<div style="display:inline-grid;grid-gap: 40px;grid-template-columns: auto auto;position:relative;left:12%">
<div class="fragment">
<div class="content-box">
<div class="box-title red">Spreadsheets alone</div>
<div class="content">

  * Is great for looking at data.
  * Data entry is fast.
  * Analysis flow is hidden and not in focus.
  
</div>
</div>
<div style="text-align:center">
<img src="slides/img/excel_data-sheet.png" height="280px">
</div>
</div>

<div class="fragment">
<div class="content-box">
<div class="box-title">Coding</div>
<div class="content">

  * Is great for controlling analysis
  * Data is hidden.
  * Flow is visible.
</div> 
</div> 
<img src="slides/img/code-example.png"  height="280px">
</div>
</div>

<div class="content-box fragment" style="left:15%;width:60%;position:relative">
<div class="box-title green">Develop data science skills</div>
<div class="content">

  * Develop good data management and analysis habits.
  * Start coding your analysis within spreadsheets.
  * Make yourself familiar with a statistics environment such as R, Python or Matlab
  * No need to learn a high level programming language such as C++ or Java.

</div>
</div>

</div>



# Table
<div style="position:absolute">
"Tabular format of data"

### Header

 * one line!
 * **good** names of columns
 
### Rows
 * represent observations/entities
 
### Columns
  * represent property of the observations
  * one data type
</div>
<div style="left:50%; position:relative; top:-2em">
<img src="slides/img/excel_data-sheet.png" width="700px">
<div class="fragment" data-fragment-index="3" style="position:absolute">
<img src="slides/img/excel_analyses-sheet.jpeg" width="700px"><br>
</div>
<div class="fragment" data-fragment-index="4" style="position:relative">
<img src="slides/img/red-cross.png" width="700px"><br>
</div>
</div>

